Name:          uom-lib
Version:       1.0.1
Release:       8%{?dist}
Summary:       Java Unit of Measurement Libraries (JSR 363)
License:       BSD
URL:           https://github.com/unitsofmeasurement/%{name}
Source0:       https://github.com/unitsofmeasurement/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: junit
BuildRequires: maven-source-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-local
BuildRequires: maven-jar-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-license-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: mvn(tec.uom:uom-parent:pom:)
BuildRequires: mvn(javax.measure:unit-api)

BuildArch:     noarch

%description
Units of Measurement Libraries - extending and complementing JSR 363.

%package common
Summary:       Java Units of Measurement Common Library

%description common
Units of Measurement Common Library - extending and complementing JSR 363.

%package javadoc
BuildArch:     noarch
Summary:       Javadoc for the Units of Measurement Libraries

%description javadoc
This package contains documentation for the Units of Measurement
Libraries (JSR 363).

%prep
%setup -q -n %{name}-%{version}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 01 2017 Lukas Berk <lberk@redhat.com> - 1.0.1-5
- Incorporate feedback and changes from fedora-review tool

* Wed Mar 22 2017 Nathan Scott <nathans@redhat.com> - 1.0.1-4
- Incorprate feedback from gil cattaneo on all uom packages.

* Tue Feb 28 2017 Nathan Scott <nathans@redhat.com> - 1.0.1-3
- Resolve lintian errors - source, license, documentation.

* Fri Feb 24 2017 Nathan Scott <nathans@redhat.com> - 1.0.1-2
- Add unitsofmeasurement prefix to package name.

* Thu Oct 13 2016 Nathan Scott <nathans@redhat.com> - 1.0.1-1
- Initial version.
